- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomNodeList Class Reference

Search for all occurrences

## Detailed Description

Definition at line 253 of file qdom.h.

`#include <qdom.h>`

List of all members.

## Public Member Functions
| QDomNodeList ()
| QDomNodeList (const QDomNodeList &)
QDomNodeList & | operator= (const QDomNodeList &)
bool | operator== (const QDomNodeList &) const
bool | operator!= (const QDomNodeList &) const
| ~QDomNodeList ()
QDomNode | item (int index) const
QDomNode | at (int index) const
uint | length () const
int | count () const
int | size () const
bool | isEmpty () const
## Friends
class | QDomNode
class | QDomElement
class | QDomDocument

## Constructor & Destructor Documentation

QDomNodeList | ( |  | ) |

QDomNodeList | ( | const QDomNodeList & |  | ) |

~QDomNodeList | ( |  | ) |

## Member Function Documentation

QDomNodeList& operator= | ( | const QDomNodeList & |  | ) |

bool operator== | ( | const QDomNodeList & |  | ) | const

bool operator!= | ( | const QDomNodeList & |  | ) | const

QDomNode item | ( | int | index | ) | const

Search for all occurrences

QDomNode at | ( | int | index | ) | const `[inline]`

Search for all occurrences

Definition at line 265 of file qdom.h.

    { return item(index); } // Qt API consistency

uint length | ( |  | ) | const

Search for all occurrences

int count | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 269 of file qdom.h.

    { return length(); } // Qt API consitancy

int size | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 270 of file qdom.h.

    { return length(); } // Qt API consistency

bool isEmpty | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 271 of file qdom.h.

    { return length() == 0; } // Qt API consistency

## Friends And Related Function Documentation

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 277 of file qdom.h.

friend class QDomElement `[friend]`

Search for all occurrences

Definition at line 278 of file qdom.h.

friend class QDomDocument `[friend]`

Search for all occurrences

Definition at line 279 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList
QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList QDomNodeList